<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for PaymentMethod StructType
 * @subpackage Structs
 */
class PaymentMethod extends PWFinanceObject
{
    /**
     * The method
     * Meta information extracted from the WSDL
     * - nillable: true
     * @var string
     */
    public $method;
    /**
     * Constructor method for PaymentMethod
     * @uses PaymentMethod::setMethod()
     * @param string $method
     */
    public function __construct($method = null)
    {
        $this
            ->setMethod($method);
    }
    /**
     * Get method value
     * @return string|null
     */
    public function getMethod()
    {
        return $this->method;
    }
    /**
     * Set method value
     * @param string $method
     * @return \StructType\PaymentMethod
     */
    public function setMethod($method = null)
    {
        // validation for constraint: string
        if (!is_null($method) && !is_string($method)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($method, true), gettype($method)), __LINE__);
        }
        $this->method = $method;
        return $this;
    }
}
