<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for OwnerJournalEntry StructType
 * @subpackage Structs
 */
class OwnerJournalEntry extends JournalEntryHeader
{
    /**
     * The building
     * Meta information extracted from the WSDL
     * - nillable: true
     * @var \StructType\Building
     */
    public $building;
    /**
     * Constructor method for OwnerJournalEntry
     * @uses OwnerJournalEntry::setBuilding()
     * @param \StructType\Building $building
     */
    public function __construct(\StructType\Building $building = null)
    {
        $this
            ->setBuilding($building);
    }
    /**
     * Get building value
     * @return \StructType\Building|null
     */
    public function getBuilding()
    {
        return $this->building;
    }
    /**
     * Set building value
     * @param \StructType\Building $building
     * @return \StructType\OwnerJournalEntry
     */
    public function setBuilding(\StructType\Building $building = null)
    {
        $this->building = $building;
        return $this;
    }
}
